> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.nvidia.com/infra-controller/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.nvidia.com/infra-controller/_mcp/server.

# Retrieve all Machine health reports

GET https://nico-rest-api.nico.svc.cluster.local/v2/org/{org}/nico/machine/{machineId}/health-report

Get all health reports for a specific Machine.

User must have authorization role with `PROVIDER_ADMIN` suffix.

Reference: https://docs.nvidia.com/infra-controller/infra-controller/rest-api-reference/api-reference/health-report/get-machine-health-report

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: NVIDIA Infra Controller REST API
  version: 1.0.0
paths:
  /v2/org/{org}/nico/machine/{machineId}/health-report:
    get:
      operationId: get-machine-health-report
      summary: Retrieve all Machine health reports
      description: |-
        Get all health reports for a specific Machine.

        User must have authorization role with `PROVIDER_ADMIN` suffix.
      tags:
        - subpackage_healthReport
      parameters:
        - name: org
          in: path
          description: Name of the Org
          required: true
          schema:
            type: string
        - name: machineId
          in: path
          description: ID of the Machine
          required: true
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            ```

            export JWT_BEARER_TOKEN="<jwt-bearer-token>"


            # Example org name: "acme-inc

            export ORG_NAME=<org-name>


            # Use the JWT bearer token in your API request auth header:

            curl -v -X GET -H "Content-Type: application/json" -H
            "Authorization: Bearer $JWT_BEARER_TOKEN"
            https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

            ```
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MachineHealthReportEntry'
        '403':
          description: >-
            Error response when user is not authorized to call an endpoint or
            retrieve/modify objects
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NICoAPIError'
        '404':
          description: Error response when requested object is not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NICoAPIError'
        '500':
          description: Response when the API handler encounters an unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NICoAPIError'
servers:
  - url: https://nico-rest-api.nico.svc.cluster.local
    description: Kubernetes Cluster
components:
  schemas:
    MachineHealthProbeSuccess:
      type: object
      properties:
        id:
          type: string
          description: Health probe identifier
        target:
          type:
            - string
            - 'null'
          description: Specific component targeted by health probe
      required:
        - id
      description: Describes results of successful Machine health probe
      title: MachineHealthProbeSuccess
    MachineHealthProbeAlert:
      type: object
      properties:
        id:
          type: string
          description: Health probe identifier
        target:
          type:
            - string
            - 'null'
          description: Specific component targeted by health probe
        inAlertSince:
          type:
            - string
            - 'null'
          format: date-time
          description: Date/time since the alert has been in effect
        message:
          type: string
          description: Details of the failed health probe result
        tenantMessage:
          type:
            - string
            - 'null'
          description: Information provided by Tenant, if any
        classifications:
          type: array
          items:
            type: string
          description: Classifications for this alert, category or impact
      required:
        - id
        - message
      description: Describes results of a failed Machine health probe
      title: MachineHealthProbeAlert
    MachineHealthReportEntryMode:
      type: string
      enum:
        - Merge
        - Replace
      description: How this health report was updated
      title: MachineHealthReportEntryMode
    MachineHealthReportEntry:
      type: object
      properties:
        source:
          type: string
          description: Health report source.
        triggeredBy:
          type: string
          description: Person or system that triggered this health report.
        observedAt:
          type: string
          format: date-time
          description: Date/time when the health report was observed.
        successes:
          type: array
          items:
            $ref: '#/components/schemas/MachineHealthProbeSuccess'
          description: Results from successful health probes for the Machine.
        alerts:
          type: array
          items:
            $ref: '#/components/schemas/MachineHealthProbeAlert'
          description: Results from failed health probes for the Machine.
        mode:
          $ref: '#/components/schemas/MachineHealthReportEntryMode'
          description: How this health report was updated
      required:
        - source
        - mode
      description: Machine health report entry
      title: MachineHealthReportEntry
    NiCoApiErrorSource:
      type: string
      enum:
        - nico
      description: Source of the error.
      title: NiCoApiErrorSource
    NiCoApiErrorData:
      type: object
      properties: {}
      description: Additional data about the error
      title: NiCoApiErrorData
    NICoAPIError:
      type: object
      properties:
        source:
          $ref: '#/components/schemas/NiCoApiErrorSource'
          description: Source of the error.
        message:
          type: string
          description: Message describing the error
        data:
          oneOf:
            - $ref: '#/components/schemas/NiCoApiErrorData'
            - type: 'null'
          description: Additional data about the error
      description: Describes the error response from NVIDIA Infra Controller REST API
      title: NICoAPIError
  securitySchemes:
    JWTBearerToken:
      type: http
      scheme: bearer
      description: >-
        ```

        export JWT_BEARER_TOKEN="<jwt-bearer-token>"


        # Example org name: "acme-inc

        export ORG_NAME=<org-name>


        # Use the JWT bearer token in your API request auth header:

        curl -v -X GET -H "Content-Type: application/json" -H "Authorization:
        Bearer $JWT_BEARER_TOKEN"
        https://nico-rest-api.nico.svc.cluster.local/v2/org/$ORG_NAME/nico/user/current

        ```

```

## Examples



**Response**

```json
[
  {
    "source": "string",
    "mode": "Merge",
    "triggeredBy": "string",
    "observedAt": "2024-01-15T09:30:00Z",
    "successes": [
      {
        "id": "string",
        "target": "string"
      }
    ],
    "alerts": [
      {
        "id": "string",
        "message": "string",
        "target": "string",
        "inAlertSince": "2024-01-15T09:30:00Z",
        "tenantMessage": "string",
        "classifications": [
          "string"
        ]
      }
    ]
  }
]
```

**SDK Code**

```python
import requests

url = "https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/machine/machineId/health-report"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/machine/machineId/health-report';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/machine/machineId/health-report"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/machine/machineId/health-report")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/machine/machineId/health-report")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/machine/machineId/health-report', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/machine/machineId/health-report");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://nico-rest-api.nico.svc.cluster.local/v2/org/org/nico/machine/machineId/health-report")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```